<?php

/*  Alternate WebshopEngine
(C) 2009-2014 by Alternate Tools
-----------------------------------------------------

File:         shop_splashpage.php
Description:  Shop splashpage

*/
    include "../modules/mod_config.php";
    include "../modules/mod_shop.php";

    // Check for maintenance mode...
    if ($SHOP_MAINTENANCE_MODE == true)
    {
        include $ADMIN_MAINTENANCE_SITE;
        return;
    }

    // Check for login...
    if (check_login() == false && $FORCE_CUSTOMER_LOGIN == true)
    {
        header ("location: " . $SHOP_LOGIN_SITE);
        return;
    }

    include "../modules/class_translation.php";
    include "../modules/class_textfile.php";

    $cFile = new cTextFile;

    if (isset($_POST['splashpage_Cancel']))
    {
        header ('location: ' . $SHOP_LIST_SITE);
        return;
    }

    print_shop_header($SHOP_TITLE, $SHOP_MAIN_SITE);

    echo_r ('<table class="con_tbl" id="splashpage_con_tbl"><tr><td>');
    echo_r ('<center>');
    if (file_exists($SHOP_IMAGESPLASHPAGE) == true)
    {
        echo_r('<img src="' . $SHOP_IMAGESPLASHPAGE . '" alt=""><br>');
    }

    echo_r ($cFile->LoadFromFile($SPLASHPAGETITLE_CONFIG_FILE));
    echo_r ('</center>');
    echo_r ('</td></tr></table>');

    print_bottom_links("splashpage_Cancel", $cTrans->GetTranslation('shop_splashpage_continue'));

    print_shop_footer();
?>